{
  "type": "minecraft:crafting_shaped",
  "pattern": [
    "EGE",
    "GNG",
    "GGG"
  ],
  "key": {
    "N": {
      "tag": "minecraft:enchanted_golden_apple"
    },
	"E": {
      "tag": "minecraft:emerald_block"
    },
    "G": {
      "item": "minecraft:gold_block"
    }
  },
  "result": {
    "item": "minecraft:totem_of_undying",
    "count": 1
  }
}